%define shortversion %(echo %{version} | sed -e 's/\([0-9]*\.[0-9]*\)\.[0-9]*/\1/')
%define wwwroot /var/www/cherokee
%add_findreq_skiplist %_bindir/cherokee-panic

Name: cherokee
Version: 0.99.24
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Flexible and Fast Webserver
License: GPLv2+
Group: System/Servers

Url: http://www.cherokee-project.com/
Source: http://www.cherokee-project.com/download/%shortversion/%version/cherokee-%version.tar.gz
Source1: cherokee.init
Source2: cherokee.logrotate

Requires: %name-data

# Automatically added by buildreq on Fri Sep 18 2009
BuildRequires: bzlib-devel libGeoIP-devel libMySQL-devel libavformat-devel libldap-devel libpam-devel libpcre-devel php5-cgi

%description
Cherokee is a very fast, flexible and easy to configure Web Server. It supports
the widespread technologies nowadays: FastCGI, SCGI, PHP, CGI, TLS and SSL
encrypted connections, Virtual hosts, Authentication, on the fly encoding,
Apache compatible log files, and much more.

%package data
Summary: Architecture independent data files for cherokee web server
Group: System/Servers
BuildArch: noarch

%description data
Architecture independent data files for cherokee web server.

%package devel
Summary: Development files of cherokee
Group: Development/C
Requires: %name = %version-%release

%description devel
This package holds the development files for cherokee web server.

%prep
%setup

# Quick fix naive system pcre detection
%__subst 's#"pcre.h"#"pcre/pcre.h"#g' configure

%build
%__subst 's#/log/cherokee\.#/log/cherokee/cherokee\.#' cherokee.conf.sample.pre
%configure -with-wwwroot=%wwwroot --localstatedir=/var --docdir=%_datadir/cherokee \
	--disable-static --disable-internal-pcre
%make_build

%install
%make_install DESTDIR=%buildroot install
install -d %buildroot%_logdir/cherokee
install -pDm 755 %_sourcedir/cherokee.init %buildroot%_initrddir/cherokee
install -pDm 644 %_sourcedir/cherokee.logrotate %buildroot/etc/logrotate.d/cherokee

%find_lang cherokee

%post
%post_service cherokee

%preun
%preun_service cherokee

%files -f cherokee.lang
%dir %_sysconfdir/cherokee
%config(noreplace) %_sysconfdir/cherokee/*
%config(noreplace) %_initrddir/cherokee
%config(noreplace) /etc/logrotate.d/cherokee
%_bindir/*
%_sbindir/*
%_libdir/cherokee
%_libdir/lib*.so.*
%_man1dir/*
%_logdir/cherokee
%exclude %_libdir/cherokee/*.la
%exclude %_bindir/cherokee-config

%files data
%_datadir/cherokee
%wwwroot/

%files devel
%_bindir/cherokee-config
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*
%_datadir/aclocal/*

%changelog
* Mon Sep 28 2009 Victor Forsyuk <force@altlinux.org> 0.99.24-alt2
- Added condstop initscript target.
- Split architecture independent data files to noarch subpackage.

* Fri Sep 18 2009 Victor Forsyuk <force@altlinux.org> 0.99.24-alt1
- Initial build.
